/*
 * Information
 * Creator / Developer: Dani Ramdani (Dani Techno.) - FullStack Engineer
 * Contact creator / Developer: 0895 1254 5999 (WhatsApp), contact@danitechno.com (Email)
*/

/* Thanks to
 * Dani Techno. - FullStack Engineer (Creator / Developer)
 * @whiskeysockets/baileys (Library "Baileys" provider)
*/

const axios = require('axios');

async function fetchJson(url, params) {
  try {
    const data = await axios.get(url, { params });
    const response = { status: true, data: data.data };
    return response;
  } catch (error) {
    console.error('Error fetching JSON:', error.message);
    const response = { status: false, message: 'Failed to fetch JSON data' };
    return response;
  }
};

module.exports = {
  fetchJson
};